<?php

namespace CouponsPlus\App\Coupon\Tree\Cart;

use CouponsPlus\Original\Collections\Collection;

/**
 * Unfortunately, this has to a singleton until we upgrade the framework that has dependency injection
 */
class NotificationsQueue
{
    private static self $instance;
    private Collection $notifications;

    public static function get()
    {
        if (!static::$instance) {
            static::$instance = new static;
        }

        return static::$instance;
    }

    private function __construct() {
        $this->notifications = new Collection([]);
    }


}